Index: trunk/lib/FlairMeta/src/UavStateMachine.h
===================================================================
--- trunk/lib/FlairMeta/src/UavStateMachine.h	(revision 14)
+++ trunk/lib/FlairMeta/src/UavStateMachine.h	(revision 15)
@@ -26,281 +26,275 @@
 
 namespace flair {
-    namespace core {
-        class FrameworkManager;
-        class AhrsData;
-        class io_data;
-    }
-    namespace gui {
-        class PushButton;
-        class GridLayout;
-        class Tab;
-        class DoubleSpinBox;
-    }
-    namespace filter {
-        class ControlLaw;
-        class NestedSat;
-        class Pid;
-        class PidThrust;
-        class TrajectoryGenerator1D;
-    }
-    namespace sensor {
-        class TargetController;
-    }
-    namespace meta {
-        class MetaDualShock3;
-        class Uav;
-    }
-}
-
-namespace flair { namespace meta {
-
- /*! \class UavStateMachine
+namespace core {
+class FrameworkManager;
+class AhrsData;
+class io_data;
+}
+namespace gui {
+class PushButton;
+class GridLayout;
+class Tab;
+class DoubleSpinBox;
+}
+namespace filter {
+class ControlLaw;
+class NestedSat;
+class Pid;
+class PidThrust;
+class TrajectoryGenerator1D;
+}
+namespace sensor {
+class TargetController;
+}
+namespace meta {
+class MetaDualShock3;
+class Uav;
+}
+}
+
+namespace flair {
+namespace meta {
+
+/*! \class UavStateMachine
 *
 * \brief State machine for UAV
 *
-* thread synchronized with ahrs, unless a period is set with SetPeriodUS or SetPeriodMS
+* thread synchronized with ahrs, unless a period is set with SetPeriodUS or
+*SetPeriodMS
 */
 
-class UavStateMachine : public core::Thread
-{
-    protected:
-        enum class AltitudeMode_t {
-            Manual,
-            Custom
-        };
-        const AltitudeMode_t &GetAltitudeMode(void) const {
-            return altitudeMode;
-        }
-        bool SetAltitudeMode(const AltitudeMode_t &altitudeMode);
-
-        //uses TrajectoryGenerator1D *altitudeTrajectory to go to desiredAltitude
-        //available in mode AltitudeMode_t::Manual
-        //return true if goto is possible
-        bool GotoAltitude(float desiredAltitude);
-
-        enum class OrientationMode_t {
-            Manual,
-            Custom
-        };
-        const OrientationMode_t &GetOrientationMode(void) const {
-            return orientationMode;
-        }
-        bool SetOrientationMode(const OrientationMode_t &orientationMode);
-
-        enum class ThrustMode_t {
-            Default,
-            Custom
-        };
-        const ThrustMode_t &GetThrustMode() const {
-            return thrustMode;
-        }
-        bool SetThrustMode(const ThrustMode_t &thrustMode);
-
-        enum class TorqueMode_t {
-            Default,
-            Custom
-        };
-        const TorqueMode_t &GetTorqueMode(void) const {
-            return torqueMode;
-        }
-        bool SetTorqueMode(const TorqueMode_t &torqueMode);
-
-        enum class Event_t {
-            EnteringFailSafeMode,
-            EnteringControlLoop,
-            StartLanding,
-            FinishLanding,
-            Stopped,
-            TakingOff,
-            EmergencyStop,
-            Stabilized, //as soon as uav is 3cm far from the ground
-            ZTrajectoryFinished,
-        };
-
-        UavStateMachine(meta::Uav* uav,uint16_t ds3Port=20000);
-        ~UavStateMachine();
-
-        const core::Quaternion &GetCurrentQuaternion(void) const;
-
-        const core::Vector3D &GetCurrentAngularSpeed(void) const;
-
-        const meta::Uav *GetUav(void) const;
-
-        void Land(void);
-        void TakeOff(void);
-        void EmergencyStop(void);
-        //! Used to signal an event
-        /*!
-            \param event the event which occured
-        */
-        virtual void SignalEvent(Event_t event);
-
-        virtual const core::AhrsData *GetOrientation(void) const;
-        const core::AhrsData *GetDefaultOrientation(void) const;
-
-        virtual void AltitudeValues(float &z,float &dz) const;//in uav coordinate!
-        void EnterFailSafeMode(void);
-        bool ExitFailSafeMode(void);
-        void FailSafeAltitudeValues(float &z,float &dz) const;//in uav coordinate!
-
-        gui::GridLayout *GetButtonsLayout(void) const;
-        virtual void ExtraSecurityCheck(void){};
-        virtual void ExtraCheckJoystick(void){};
-        virtual void ExtraCheckPushButton(void){};
-
-        void GetDefaultReferenceAltitude(float &refAltitude, float &refVerticalVelocity);
-        virtual void GetReferenceAltitude(float &refAltitude, float &refVerticalVelocity);
-        //float GetDefaultThrustOffset(void);
-        const core::AhrsData *GetDefaultReferenceOrientation(void) const;
-        virtual const core::AhrsData *GetReferenceOrientation(void);
-
-        /*!
-        * \brief Compute Custom Torques
-        *
-        * Reimplement this method to use TorqueMode_t::Custom. \n
-        * This method is called internally by UavStateMachine, do not call it by yourself. \n
-        * See GetTorques if you need torques values.
-        *
-        * \param torques custom torques
-        */
-        virtual void ComputeCustomTorques(core::Euler &torques);
-
-        /*!
-        * \brief Compute Default Torques
-        *
-        * This method is called internally by UavStateMachine when using TorqueMode_t::Default. \n
-        * Torques are only computed once by loop, other calls to this method will use previously computed torques.
-        *
-        * \param torques default torques
-        */
-        void ComputeDefaultTorques(core::Euler &torques);
-
-        /*!
-        * \brief Get Torques
-        *
-        * \return torques current torques
-        */
-        //const core::Euler &GetTorques() const;
-
-        /*!
-        * \brief Compute Custom Thrust
-        *
-        * Reimplement this method to use ThrustMode_t::Custom. \n
-        * This method is called internally by UavStateMachine, do not call it by yourself. \n
-        * See GetThrust if you need thrust value.
-        *
-        * \return custom Thrust
-        */
-        virtual float ComputeCustomThrust(void);
-
-        /*!
-        * \brief Compute Default Thrust
-        *
-        * This method is called internally by UavStateMachine when using ThrustMode_t::Default. \n
-        * Thrust is only computed once by loop, other calls to this method will use previously computed thrust.
-        *
-        * \return default thrust
-        */
-        float ComputeDefaultThrust(void);
-
-        /*!
-        * \brief Get Thrust
-        *
-        * \return current thrust
-        */
-        //float GetThrust() const;
-
-        /*!
-        * \brief Add an IODevice to the control law logs
-        *
-        * The IODevice will be automatically logged among the Uz logs,
-        * if logging is enabled (see IODevice::SetDataToLog, FrameworkManager::StartLog
-        * and FrameworkManager::AddDeviceToLog). \n
-        *
-        * \param device IODevice to log
-        */
-        void AddDeviceToControlLawLog(const core::IODevice* device);
-
-        /*!
-        * \brief Add an io_data to the control law logs
-        *
-        * The io_data will be automatically logged among the Uz logs,
-        * if logging is enabled (see IODevice::SetDataToLog, FrameworkManager::StartLog
-        * and FrameworkManager::AddDeviceToLog). \n
-        *
-        * \param data io_data to log
-        */
-        void AddDataToControlLawLog(const core::io_data* data);
-
-        const sensor::TargetController *GetJoystick(void) const;
-
-        gui::Tab *setupLawTab,*graphLawTab;
-
-    private:
-        /*!
-        \enum AltitudeState_t
-        \brief States of the altitude state machine
-        */
-        enum class AltitudeState_t {
-            Stopped,        /*!< the uav motors are stopped */
-            TakingOff,      /*!< take off initiated. Motors accelerate progressively until the UAV lift up */
-            Stabilized,     /*!< the uav is actively maintaining its altitude */
-            StartLanding,   /*!< landing initiated. Altitude is required to reach the landing altitude (0 by default) */
-            FinishLanding   /*!< motors are gradually stopped */
-        };
-        AltitudeState_t altitudeState;
-        void ProcessAltitudeFiniteStateMachine();
-        void ComputeReferenceAltitude(float &refAltitude, float &refVerticalVelocity);
-
-
-        float groundAltitude; // effective altitude when the uav leaves the ground
-        float currentAltitude,currentVerticalSpeed;
-
-        bool failSafeMode;
-        void SecurityCheck(void);
-        void MandatorySecurityCheck(void);
-        void CheckJoystick();
-        void GenericCheckJoystick();
-        void CheckPushButton(void);
-        void GenericCheckPushButton(void);
-        void Run(void);
-        void StopMotors(void);
-
-        meta::Uav *uav;
-
-        core::Quaternion currentQuaternion;
-        core::Vector3D currentAngularSpeed;
-
-        const core::AhrsData *ComputeReferenceOrientation(void);
-
-        void ComputeOrientation(void);
-        void ComputeAltitude(void);
-
-        void ComputeTorques(void);
-        core::Euler currentTorques,savedDefaultTorques;
-        bool needToComputeDefaultTorques;
-
-        void ComputeThrust(void);
-        float currentThrust,savedDefaultThrust;
-        bool needToComputeDefaultThrust;
-
-        gui::PushButton *button_kill,*button_take_off,*button_land,*button_start_log,*button_stop_log;
-        gui::GridLayout *buttonslayout;
-        gui::DoubleSpinBox *desiredTakeoffAltitude,*desiredLandingAltitude;
-        AltitudeMode_t altitudeMode;
-        OrientationMode_t orientationMode;
-        ThrustMode_t thrustMode;
-        TorqueMode_t torqueMode;
-        bool flagBatteryLow;
-        bool flagConnectionLost;
-        bool flagZTrajectoryFinished;
-        filter::NestedSat *uRoll,*uPitch;
-        filter::Pid *uYaw;
-        filter::PidThrust *uZ;
-
-        MetaDualShock3 *joy;
-        filter::TrajectoryGenerator1D *altitudeTrajectory;
+class UavStateMachine : public core::Thread {
+protected:
+  enum class AltitudeMode_t { Manual, Custom };
+  const AltitudeMode_t &GetAltitudeMode(void) const { return altitudeMode; }
+  bool SetAltitudeMode(const AltitudeMode_t &altitudeMode);
+
+  // uses TrajectoryGenerator1D *altitudeTrajectory to go to desiredAltitude
+  // available in mode AltitudeMode_t::Manual
+  // return true if goto is possible
+  bool GotoAltitude(float desiredAltitude);
+
+  enum class OrientationMode_t { Manual, Custom };
+  const OrientationMode_t &GetOrientationMode(void) const {
+    return orientationMode;
+  }
+  bool SetOrientationMode(const OrientationMode_t &orientationMode);
+
+  enum class ThrustMode_t { Default, Custom };
+  const ThrustMode_t &GetThrustMode() const { return thrustMode; }
+  bool SetThrustMode(const ThrustMode_t &thrustMode);
+
+  enum class TorqueMode_t { Default, Custom };
+  const TorqueMode_t &GetTorqueMode(void) const { return torqueMode; }
+  bool SetTorqueMode(const TorqueMode_t &torqueMode);
+
+  enum class Event_t {
+    EnteringFailSafeMode,
+    EnteringControlLoop,
+    StartLanding,
+    FinishLanding,
+    Stopped,
+    TakingOff,
+    EmergencyStop,
+    Stabilized, // as soon as uav is 3cm far from the ground
+    ZTrajectoryFinished,
+  };
+
+  UavStateMachine(meta::Uav *uav, uint16_t ds3Port = 20000);
+  ~UavStateMachine();
+
+  const core::Quaternion &GetCurrentQuaternion(void) const;
+
+  const core::Vector3D &GetCurrentAngularSpeed(void) const;
+
+  const meta::Uav *GetUav(void) const;
+
+  void Land(void);
+  void TakeOff(void);
+  void EmergencyStop(void);
+  //! Used to signal an event
+  /*!
+      \param event the event which occured
+  */
+  virtual void SignalEvent(Event_t event);
+
+  virtual const core::AhrsData *GetOrientation(void) const;
+  const core::AhrsData *GetDefaultOrientation(void) const;
+
+  virtual void AltitudeValues(float &z, float &dz) const; // in uav coordinate!
+  void EnterFailSafeMode(void);
+  bool ExitFailSafeMode(void);
+  void FailSafeAltitudeValues(float &z, float &dz) const; // in uav coordinate!
+
+  gui::GridLayout *GetButtonsLayout(void) const;
+  virtual void ExtraSecurityCheck(void){};
+  virtual void ExtraCheckJoystick(void){};
+  virtual void ExtraCheckPushButton(void){};
+
+  void GetDefaultReferenceAltitude(float &refAltitude,
+                                   float &refVerticalVelocity);
+  virtual void GetReferenceAltitude(float &refAltitude,
+                                    float &refVerticalVelocity);
+  // float GetDefaultThrustOffset(void);
+  const core::AhrsData *GetDefaultReferenceOrientation(void) const;
+  virtual const core::AhrsData *GetReferenceOrientation(void);
+
+  /*!
+  * \brief Compute Custom Torques
+  *
+  * Reimplement this method to use TorqueMode_t::Custom. \n
+  * This method is called internally by UavStateMachine, do not call it by
+  *yourself. \n
+  * See GetTorques if you need torques values.
+  *
+  * \param torques custom torques
+  */
+  virtual void ComputeCustomTorques(core::Euler &torques);
+
+  /*!
+  * \brief Compute Default Torques
+  *
+  * This method is called internally by UavStateMachine when using
+  *TorqueMode_t::Default. \n
+  * Torques are only computed once by loop, other calls to this method will use
+  *previously computed torques.
+  *
+  * \param torques default torques
+  */
+  void ComputeDefaultTorques(core::Euler &torques);
+
+  /*!
+  * \brief Get Torques
+  *
+  * \return torques current torques
+  */
+  // const core::Euler &GetTorques() const;
+
+  /*!
+  * \brief Compute Custom Thrust
+  *
+  * Reimplement this method to use ThrustMode_t::Custom. \n
+  * This method is called internally by UavStateMachine, do not call it by
+  *yourself. \n
+  * See GetThrust if you need thrust value.
+  *
+  * \return custom Thrust
+  */
+  virtual float ComputeCustomThrust(void);
+
+  /*!
+  * \brief Compute Default Thrust
+  *
+  * This method is called internally by UavStateMachine when using
+  *ThrustMode_t::Default. \n
+  * Thrust is only computed once by loop, other calls to this method will use
+  *previously computed thrust.
+  *
+  * \return default thrust
+  */
+  float ComputeDefaultThrust(void);
+
+  /*!
+  * \brief Get Thrust
+  *
+  * \return current thrust
+  */
+  // float GetThrust() const;
+
+  /*!
+  * \brief Add an IODevice to the control law logs
+  *
+  * The IODevice will be automatically logged among the Uz logs,
+  * if logging is enabled (see IODevice::SetDataToLog,
+  *FrameworkManager::StartLog
+  * and FrameworkManager::AddDeviceToLog). \n
+  *
+  * \param device IODevice to log
+  */
+  void AddDeviceToControlLawLog(const core::IODevice *device);
+
+  /*!
+  * \brief Add an io_data to the control law logs
+  *
+  * The io_data will be automatically logged among the Uz logs,
+  * if logging is enabled (see IODevice::SetDataToLog,
+  *FrameworkManager::StartLog
+  * and FrameworkManager::AddDeviceToLog). \n
+  *
+  * \param data io_data to log
+  */
+  void AddDataToControlLawLog(const core::io_data *data);
+
+  const sensor::TargetController *GetJoystick(void) const;
+
+  gui::Tab *setupLawTab, *graphLawTab;
+
+private:
+  /*!
+  \enum AltitudeState_t
+  \brief States of the altitude state machine
+  */
+  enum class AltitudeState_t {
+    Stopped,      /*!< the uav motors are stopped */
+    TakingOff,    /*!< take off initiated. Motors accelerate progressively until
+                     the UAV lift up */
+    Stabilized,   /*!< the uav is actively maintaining its altitude */
+    StartLanding, /*!< landing initiated. Altitude is required to reach the
+                     landing altitude (0 by default) */
+    FinishLanding /*!< motors are gradually stopped */
+  };
+  AltitudeState_t altitudeState;
+  void ProcessAltitudeFiniteStateMachine();
+  void ComputeReferenceAltitude(float &refAltitude, float &refVerticalVelocity);
+
+  float groundAltitude; // effective altitude when the uav leaves the ground
+  float currentAltitude, currentVerticalSpeed;
+
+  bool failSafeMode;
+  void SecurityCheck(void);
+  void MandatorySecurityCheck(void);
+  void CheckJoystick();
+  void GenericCheckJoystick();
+  void CheckPushButton(void);
+  void GenericCheckPushButton(void);
+  void Run(void);
+  void StopMotors(void);
+
+  meta::Uav *uav;
+
+  core::Quaternion currentQuaternion;
+  core::Vector3D currentAngularSpeed;
+
+  const core::AhrsData *ComputeReferenceOrientation(void);
+
+  void ComputeOrientation(void);
+  void ComputeAltitude(void);
+
+  void ComputeTorques(void);
+  core::Euler currentTorques, savedDefaultTorques;
+  bool needToComputeDefaultTorques;
+
+  void ComputeThrust(void);
+  float currentThrust, savedDefaultThrust;
+  bool needToComputeDefaultThrust;
+
+  gui::PushButton *button_kill, *button_take_off, *button_land,
+      *button_start_log, *button_stop_log;
+  gui::GridLayout *buttonslayout;
+  gui::DoubleSpinBox *desiredTakeoffAltitude, *desiredLandingAltitude;
+  AltitudeMode_t altitudeMode;
+  OrientationMode_t orientationMode;
+  ThrustMode_t thrustMode;
+  TorqueMode_t torqueMode;
+  bool flagBatteryLow;
+  bool flagConnectionLost;
+  bool flagZTrajectoryFinished;
+  filter::NestedSat *uRoll, *uPitch;
+  filter::Pid *uYaw;
+  filter::PidThrust *uZ;
+
+  MetaDualShock3 *joy;
+  filter::TrajectoryGenerator1D *altitudeTrajectory;
 };
-
 };
 };
Index: trunk/lib/FlairMeta/src/XAir.cpp
===================================================================
--- trunk/lib/FlairMeta/src/XAir.cpp	(revision 14)
+++ trunk/lib/FlairMeta/src/XAir.cpp	(revision 15)
@@ -35,40 +35,46 @@
 using namespace flair::actuator;
 
-namespace flair { namespace meta {
+namespace flair {
+namespace meta {
 
-XAir::XAir(FrameworkManager* parent,string uav_name,filter::UavMultiplex *multiplex) : Uav(parent,uav_name,multiplex) {
-    RTDM_I2cPort* i2cport=new RTDM_I2cPort(parent,"rtdm_i2c","rti2c3");
-    RTDM_SerialPort* imu_port=new RTDM_SerialPort(parent,"imu_port","rtser1");
+XAir::XAir(FrameworkManager *parent, string uav_name,
+           filter::UavMultiplex *multiplex)
+    : Uav(parent, uav_name, multiplex) {
+  RTDM_I2cPort *i2cport = new RTDM_I2cPort(parent, "rtdm_i2c", "rti2c3");
+  RTDM_SerialPort *imu_port = new RTDM_SerialPort(parent, "imu_port", "rtser1");
 
-    if(multiplex==NULL) SetMultiplex(new X4X8Multiplex(parent,"motors",X4X8Multiplex::X8));
+  if (multiplex == NULL)
+    SetMultiplex(new X4X8Multiplex(parent, "motors", X4X8Multiplex::X8));
 
-    SetBldc(new AfroBldc(GetUavMultiplex(),GetUavMultiplex()->GetLayout(),"motors",GetUavMultiplex()->MotorsCount(),i2cport));
-    SetUsRangeFinder(new Srf08(parent,"SRF08",i2cport,0x70,60));
-    SetAhrs(new Gx3_25_ahrs(parent,"imu",imu_port,Gx3_25_imu::EulerAnglesAndAngularRates,70));
-    Tab* bat_tab=new Tab(parent->GetTabWidget(),"battery");
-    SetBatteryMonitor(new BatteryMonitor(bat_tab->NewRow(),"battery"));
-    GetBatteryMonitor()->SetBatteryValue(12);
+  SetBldc(new AfroBldc(GetUavMultiplex(), GetUavMultiplex()->GetLayout(),
+                       "motors", GetUavMultiplex()->MotorsCount(), i2cport));
+  SetUsRangeFinder(new Srf08(parent, "SRF08", i2cport, 0x70, 60));
+  SetAhrs(new Gx3_25_ahrs(parent, "imu", imu_port,
+                          Gx3_25_imu::EulerAnglesAndAngularRates, 70));
+  Tab *bat_tab = new Tab(parent->GetTabWidget(), "battery");
+  SetBatteryMonitor(new BatteryMonitor(bat_tab->NewRow(), "battery"));
+  GetBatteryMonitor()->SetBatteryValue(12);
 
-/*
-        if(VRPNType==Auto || VRPNType==AutoSerialPort)
-        {
-            RTDM_SerialPort* vrpn_port=new RTDM_SerialPort(parent,"vrpn_port","rtser3");
+  /*
+          if(VRPNType==Auto || VRPNType==AutoSerialPort)
+          {
+              RTDM_SerialPort* vrpn_port=new
+     RTDM_SerialPort(parent,"vrpn_port","rtser3");
 
-            vrpnclient=new VrpnClient(parent,"vrpn",vrpn_port,10000,80);
-            uav_vrpn=new MetaVrpnObject(vrpnclient,uav_name,VRPNSerialObjectId);
-        }
-*/
-    SetVerticalCamera(new Ps3Eye(parent,"camv",0,50));
+              vrpnclient=new VrpnClient(parent,"vrpn",vrpn_port,10000,80);
+              uav_vrpn=new
+     MetaVrpnObject(vrpnclient,uav_name,VRPNSerialObjectId);
+          }
+  */
+  SetVerticalCamera(new Ps3Eye(parent, "camv", 0, 50));
 }
 
-XAir::~XAir() {
-
-}
+XAir::~XAir() {}
 
 void XAir::StartSensors(void) {
-    ((Gx3_25_ahrs*)GetAhrs())->Start();
-    ((Srf08*)GetUsRangeFinder())->Start();
-    ((Ps3Eye *)GetVerticalCamera())->Start();
-    Uav::StartSensors();
+  ((Gx3_25_ahrs *)GetAhrs())->Start();
+  ((Srf08 *)GetUsRangeFinder())->Start();
+  ((Ps3Eye *)GetVerticalCamera())->Start();
+  Uav::StartSensors();
 }
 
Index: trunk/lib/FlairMeta/src/XAir.h
===================================================================
--- trunk/lib/FlairMeta/src/XAir.h	(revision 14)
+++ trunk/lib/FlairMeta/src/XAir.h	(revision 15)
@@ -16,21 +16,19 @@
 #include "Uav.h"
 
-namespace flair
-{
-namespace meta
-{
-    /*! \class XAir
-    *
-    * \brief Class defining an ardrone2 uav
-    */
-    class XAir : public Uav {
-        public:
-            XAir(core::FrameworkManager* parent,std::string uav_name,filter::UavMultiplex *multiplex=NULL);
-            ~XAir();
-            void StartSensors(void);
+namespace flair {
+namespace meta {
+/*! \class XAir
+*
+* \brief Class defining an ardrone2 uav
+*/
+class XAir : public Uav {
+public:
+  XAir(core::FrameworkManager *parent, std::string uav_name,
+       filter::UavMultiplex *multiplex = NULL);
+  ~XAir();
+  void StartSensors(void);
 
-        private:
-
-    };
+private:
+};
 } // end namespace meta
 } // end namespace flair
Index: trunk/lib/FlairMeta/src/unexported/MetaDualShock3_impl.h
===================================================================
--- trunk/lib/FlairMeta/src/unexported/MetaDualShock3_impl.h	(revision 14)
+++ trunk/lib/FlairMeta/src/unexported/MetaDualShock3_impl.h	(revision 15)
@@ -16,14 +16,11 @@
 #include <IODevice.h>
 
-namespace flair
-{
-    namespace meta
-    {
-        class MetaDualShock3;
-    }
-    namespace filter
-    {
-        class JoyReference;
-    }
+namespace flair {
+namespace meta {
+class MetaDualShock3;
+}
+namespace filter {
+class JoyReference;
+}
 }
 
@@ -32,16 +29,16 @@
 * \brief Classe intégrant la manette DualShock3 et les consignes joystick
 */
-class MetaDualShock3_impl: public flair::core::IODevice
-{
-    public:
-        MetaDualShock3_impl(flair::meta::MetaDualShock3* self,std::string name);
-        ~MetaDualShock3_impl();
-        flair::filter::JoyReference *joy_ref;
+class MetaDualShock3_impl : public flair::core::IODevice {
+public:
+  MetaDualShock3_impl(flair::meta::MetaDualShock3 *self, std::string name);
+  ~MetaDualShock3_impl();
+  flair::filter::JoyReference *joy_ref;
 
-    private:
-        void UpdateFrom(const flair::core::io_data *data);
-        flair::meta::MetaDualShock3* self;
-        bool joy_init;
-        bool wasRollTrimUpButtonPressed,wasRollTrimDownButtonPressed,wasPitchTrimUpButtonPressed,wasPitchTrimDownButtonPressed;
+private:
+  void UpdateFrom(const flair::core::io_data *data);
+  flair::meta::MetaDualShock3 *self;
+  bool joy_init;
+  bool wasRollTrimUpButtonPressed, wasRollTrimDownButtonPressed,
+      wasPitchTrimUpButtonPressed, wasPitchTrimDownButtonPressed;
 };
 
Index: trunk/lib/FlairSensorActuator/src/AfroBldc.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/AfroBldc.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/AfroBldc.cpp	(revision 15)
@@ -30,17 +30,16 @@
 using namespace flair::gui;
 
-namespace flair { namespace actuator {
+namespace flair {
+namespace actuator {
 
-AfroBldc::AfroBldc(const IODevice* parent,Layout* layout,string name,uint8_t motors_count,I2cPort* i2cport) : Bldc(parent,layout,name,motors_count) {
-    pimpl_=new AfroBldc_impl(this,layout,i2cport);
+AfroBldc::AfroBldc(const IODevice *parent, Layout *layout, string name,
+                   uint8_t motors_count, I2cPort *i2cport)
+    : Bldc(parent, layout, name, motors_count) {
+  pimpl_ = new AfroBldc_impl(this, layout, i2cport);
 }
 
-AfroBldc::~AfroBldc() {
-    delete pimpl_;
-}
+AfroBldc::~AfroBldc() { delete pimpl_; }
 
-void AfroBldc::SetMotors(float* values) {
-    pimpl_->SetMotors(values);
-}
+void AfroBldc::SetMotors(float *values) { pimpl_->SetMotors(values); }
 
 } // end namespace actuator
Index: trunk/lib/FlairSensorActuator/src/AfroBldc.h
===================================================================
--- trunk/lib/FlairSensorActuator/src/AfroBldc.h	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/AfroBldc.h	(revision 15)
@@ -16,84 +16,79 @@
 #include "Bldc.h"
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class I2cPort;
-    }
-    namespace sensor
-    {
-        class BatteryMonitor;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class I2cPort;
+}
+namespace sensor {
+class BatteryMonitor;
+}
 }
 
 class AfroBldc_impl;
 
-namespace flair
-{
-namespace actuator
-{
-    /*! \class AfroBldc
-    *
-    * \brief Class for Mikrokopter's blctrlv2
-    *
-    * blctrlv2 drivers can also monitor the battery level. See GetBatteryMonitor().
-    */
-    class AfroBldc : public Bldc
-    {
-        friend class ::AfroBldc_impl;
+namespace flair {
+namespace actuator {
+/*! \class AfroBldc
+*
+* \brief Class for Mikrokopter's blctrlv2
+*
+* blctrlv2 drivers can also monitor the battery level. See GetBatteryMonitor().
+*/
+class AfroBldc : public Bldc {
+  friend class ::AfroBldc_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a AfroBldc.
-            *
-            * \param parent parent
-            * \param layout layout
-            * \param name name
-            * \param motors_count number of motors
-            * \param i2cport I2cPort
-            */
-            AfroBldc(const core::IODevice* parent,gui::Layout* layout,std::string name,uint8_t motors_count,core::I2cPort* i2cport);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a AfroBldc.
+  *
+  * \param parent parent
+  * \param layout layout
+  * \param name name
+  * \param motors_count number of motors
+  * \param i2cport I2cPort
+  */
+  AfroBldc(const core::IODevice *parent, gui::Layout *layout, std::string name,
+           uint8_t motors_count, core::I2cPort *i2cport);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~AfroBldc();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~AfroBldc();
 
-            /*!
-            * \brief Has speed measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has speed measurement
-            */
-            bool HasSpeedMeasurement(void) const{return false;};
+  /*!
+  * \brief Has speed measurement
+  *
+  * Reimplemented from Bldc. \n
+  *
+  * \return true if it has speed measurement
+  */
+  bool HasSpeedMeasurement(void) const { return false; };
 
-            /*!
-            * \brief Has current measurement
-            *
-            * Reimplemented from Bldc. \n
-            *
-            * \return true if it has current measurement
-            */
-            bool HasCurrentMeasurement(void) const{return false;};
+  /*!
+  * \brief Has current measurement
+  *
+  * Reimplemented from Bldc. \n
+  *
+  * \return true if it has current measurement
+  */
+  bool HasCurrentMeasurement(void) const { return false; };
 
-        private:
-            /*!
-            * \brief Set motors values
-            *
-            * Reimplemented from Bldc. \n
-            * Values size must be the same as MotorsCount()
-            *
-            * \param values motor values
-            */
-            void SetMotors(float* values);
+private:
+  /*!
+  * \brief Set motors values
+  *
+  * Reimplemented from Bldc. \n
+  * Values size must be the same as MotorsCount()
+  *
+  * \param values motor values
+  */
+  void SetMotors(float *values);
 
-            class AfroBldc_impl* pimpl_;
-    };
+  class AfroBldc_impl *pimpl_;
+};
 } // end namespace actuator
 } // end namespace flair
Index: trunk/lib/FlairSensorActuator/src/AfroBldc_impl.cpp
===================================================================
--- trunk/lib/FlairSensorActuator/src/AfroBldc_impl.cpp	(revision 14)
+++ trunk/lib/FlairSensorActuator/src/AfroBldc_impl.cpp	(revision 15)
@@ -34,40 +34,39 @@
 using namespace flair::actuator;
 
-AfroBldc_impl::AfroBldc_impl(AfroBldc* self,Layout *layout,I2cPort* i2cport) {
-    this->self=self;
-    this->i2cport=i2cport;
-    nb_mot=self->MotorsCount();
+AfroBldc_impl::AfroBldc_impl(AfroBldc *self, Layout *layout, I2cPort *i2cport) {
+  this->self = self;
+  this->i2cport = i2cport;
+  nb_mot = self->MotorsCount();
 }
 
-AfroBldc_impl::~AfroBldc_impl() {
+AfroBldc_impl::~AfroBldc_impl() {}
 
+void AfroBldc_impl::SetMotors(float *value) {
+  uint16_t tosend_value[nb_mot];
+
+  for (int i = 0; i < nb_mot; i++)
+    tosend_value[i] = (uint16_t)(MAX_VALUE * value[i]);
+
+  i2cport->GetMutex();
+
+  for (int i = 0; i < nb_mot; i++) {
+    i2cport->SetSlave(BASE_ADDRESS + i);
+    WriteValue(tosend_value[i]);
+  }
+  i2cport->ReleaseMutex();
 }
 
-void AfroBldc_impl::SetMotors(float* value) {
-    uint16_t tosend_value[nb_mot];
+// I2cPort mutex must be taken before calling this function
+void AfroBldc_impl::WriteValue(uint16_t value) {
+  uint8_t tx[2];
+  ssize_t written;
 
-    for(int i=0; i<nb_mot; i++) tosend_value[i]=(uint16_t)(MAX_VALUE*value[i]);
-
-    i2cport->GetMutex();
-
-    for(int i=0; i<nb_mot; i++) {
-        i2cport->SetSlave(BASE_ADDRESS+i);
-        WriteValue(tosend_value[i]);
-    }
-    i2cport->ReleaseMutex();
+  tx[0] = (uint8_t)(value >> 3); // msb
+  tx[1] = (value & 0x07);        // lsb
+  written = i2cport->Write(tx, 2);
+  if (written < 0) {
+    self->Err("rt_dev_write error (%s)\n", strerror(-written));
+  } else if (written != sizeof(tx)) {
+    self->Err("rt_dev_write error %i/%i\n", written, sizeof(tx));
+  }
 }
-
-//I2cPort mutex must be taken before calling this function
-void AfroBldc_impl::WriteValue(uint16_t value) {
-    uint8_t tx[2];
-    ssize_t written;
-
-    tx[0]=(uint8_t)(value>>3);//msb
-    tx[1]=(value&0x07);//lsb
-    written =i2cport->Write(tx, 2);
-    if(written<0) {
-        self->Err("rt_dev_write error (%s)\n",strerror(-written));
-    } else if (written != sizeof(tx)) {
-        self->Err("rt_dev_write error %i/%i\n",written,sizeof(tx));
-    }
-}
